<?php
	$target='ods';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Ordenes/ordenes.php"); 
	$nombrepagina = "GESTION ORDENES DE SERVICIO";

	encabezado($target); 
	$user=$_SESSION['validar'];
	$id_cli=$_SESSION['cliente'];	
	$tamano_pagina=40;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
	$filas=1;   
	if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		class obtiene{
			var $userObj;
			function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
		  	}
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
			}
			function eliminar($perfil){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
					$this->userObj=new select_zonas();
                    $this->userObj->cuenta_ods($inicio,$tamano_pagina,$_GET['id_user'],$_GET['suc'],$perfil);
                                    
		  	}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];       
		$perfil=$_SESSION['perfil'];
		if($perfil==5){
			
                        $add=" AND id_cliente='".$id_cli."'";
		}else{
			$add='';
		}
$sql_ordenes='';
$sql_ordenes_zona='';

if($_SESSION['area']!='0'){

if($_SESSION['zona']!='0'){$sql_ordenes_zona=" and gp.cod_zona='".$_SESSION['zona']."'";}	
/*$sql_ordenes="select b.*,count(*) as c_total  from (
select a.id_orden,a. orden,gp.fecha_cargue,a. fecha_creacion,a. hora_creacion,a. fecha_limite,a. producto,a. c_reportada,a. c_nacional,a. c_urbana,
a. c_internacional,a. c_poblaciones,a. bd,a. impresion,a. empaque,a. labels,a. bolsa,a. otros,a. observaciones,a. pendiente_recoger,
a. recogida_fecha,a. recogida_hora,a. cerrada,a. cerrada_por,a. cerrada_fecha,a. cerrada_hora,a. id_sucursal,a. id_usuario,a. id_cliente,
a. peso,a. valor,a. tp_digita,a. est_digita,a. cnt_labels,a. cnt_x_label,a. id from 
( select * from ordenes o where o.tp_digita=1 and o.fecha_creacion BETWEEN date_sub(curdate(), interval 4 month) AND curdate() ORDER BY Id DESC) a
inner join guias_proceso gp on a.orden = gp.orden where gp.especial2='".$_SESSION['area']."'".$sql_ordenes_zona.")b  group by b.orden order by b.fecha_cargue desc";
$sql_ordenes="call CONSULTA_ORDENES_CIUDAD('".$_SESSION['area']."')";
$db = new conexion();
$db->conectarse();
$rs = $db->modificar($sql_ordenes);*/
$sql_ordenes="select * from CONSULTA_ORDENES_CIUDAD";

}else{
$sql_ordenes="SELECT * FROM ordenes WHERE tp_digita=1 ".$add." ";

}

		$filasobj=new obtiene();        
		$cant=$filasobj->cantidad($sql_ordenes);
		$total_paginas= ceil($cant/$tamano_pagina);		
?>
<CENTER>
<form action="ejecuta_rastreo.php" method="get" name="backup">
<table width="250" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: BUSCAR ORDEN DE SERVICIO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_td width="100"><div align="center">Digite la Orden</div></td>
<td valign=top class=miTable_td width="150"><input type="text" name="ods" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1>
<input type="hidden" name="id_user" value="<? echo $_GET['id_user'];?>" class="inputbox">
<input type="hidden" name="suc" value="<? echo $_GET['suc'];?>" class="inputbox">
<input type="hidden" name="cliente" value="<? echo $id_cli;?>" class="inputbox">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
<input type="submit" name="Buscar" value="Buscar" class="inputbox"></td>
</tr>
</table>
</form>
<CENTER>
<table width="550" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="9" class=miTable_th1><div align="center">..:: ORDENES DE SERVICIO ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="70"><div align="center">ORDEN</div></td>
<td valign=top class=miTable_th1 width="350"><div align="center">PRODUCTO</div></td>
<td valign=top class=miTable_th1 width="160"><div align="center">FECHA</div></td>
<td valign=top class=miTable_th1 width="60"><div align="center">CANTIDAD</div></td>
</tr>
<?
	$eliminaObj->eliminar($perfil,$id_cli);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];

if($total_paginas>=1){   
	echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if($start > 1 ){
		print "&nbsp;<a href=gestion_ods_cliente.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal'> << </A>";
	}
	for($i = 0; $i < 15 && $total_paginas >= $start+$i; $i++){

		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='gestion_ods_cliente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='gestion_ods_cliente.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal'> >> </A>";
	}
}
?></div></td></tr>
<form method='GET' action="">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type="hidden" name="cliente" value="<? echo $id_cli;?>" class="inputbox">
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
</form>
</CENTER><?
	mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
